hgview #37583 ImportError: /usr/lib/pymodules/python2.5/PyQt4/Qsci.so: undefined symbol: _ZN9QsciLexer9setEditorEP13QsciScintilla [open]

I get the following error on a debian installation that has a weird mix of packages.

ii hgview 1.2.0-1 mercurial interactive history viewer $ dpkg -l python-qt4* ii python-qt4 4.7.3-1 Python bindings for Qt4 un python-qt4-common <néant> (aucune description n'est disponible) un python-qt4-dbg <néant> (aucune description n'est disponible) ii python-qt4-dbus 4.4.4-6 DBus Support for PyQt4 ii python-qt4-dev 4.7.3-1 Development files for PyQt4 ii python-qt4-doc 4.7.3-1 Documentation and examples for PyQt4


Traceback (most recent call last):
File "/usr/bin/hgview", line 31, in <module>
  from hgviewlib.qt4.hgrepoviewer import main
File "/usr/lib/pymodules/python2.5/hgviewlib/qt4/__init__.py", line 76, in <module>
  import hgrepoview, hgfileview
File "/usr/lib/pymodules/python2.5/hgviewlib/qt4/hgrepoview.py", line 37, in <module>
  from hgviewlib.qt4.hgmanifestdialog import ManifestViewer
File "/usr/lib/pymodules/python2.5/hgviewlib/qt4/hgmanifestdialog.py", line 27, in <module>
  from PyQt4 import QtGui, QtCore, Qsci
ImportError: /usr/lib/pymodules/python2.5/PyQt4/Qsci.so: undefined symbol: _ZN9QsciLexer9setEditorEP13QsciScintilla

Is it my python-qt4 installation that has something wrong or an explicit dependency missing from hgview ?

appeared in<not specified>
done in<not specified>
closed by<not specified>